Bug 217328 - xenguest-install + kickstart + "no" to graphics support = anaconda error
xenguest-install + kickstart + "no" to graphics support = anaconda error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 22:14 EST by Peter Backes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 13:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Backes 2006-11-26 22:14:11 EST
Description of problem:
If I try to install a xen guest (from ftp and with kickstart) without graphics
support, anaconda crashes. If I install with graphics support, it chooses text
mode and works fine.

Version-Release number of selected component (if applicable):
FC6

How reproducible:
always

Steps to Reproduce:
/usr/sbin/xenguest-install -n test -f /home/test.img -r 230 -s 2 -l
ftp://ftp.fu-berlin.de/linux/fedora/core/6/i386/os -x "ip=(IP) netmask=(netmask)
gateway=(gateway) dns=(dns) ks=ftp://.../ks.cfg"

ERROR: Installs currently require 256 megs of RAM.

How much RAM should be allocated (in megabytes)? 230
Would you like to enable graphics support? (yes or no) no


Actual results:
...

Welcome to Fedora Core                                                          
                                                                                
                                                                                
                                                                                
Traceback (most recent call last):                                              
                                    File "/usr/bin/anaconda", line 913, in ?    
                                                                               
instClass.setInstallData(anaconda)                                              
                                    File "/usr/lib/anaconda/kickstart.py", line
806, in setInstallData                                                          
                          self.ksparser.readKickstart(self.file)                
                                                                  File
"/usr/lib/python2.4/site-packages/pykickstart/parser.py", line 1133, in
readKickstart    
                                                                               
self.handleCommand(lineno, args)                                                
                                  File "/usr/lib/anaconda/kickstart.py", line
700, in handleCommand                                                             
                       self.handler.handlers[cmd](cmdArgs)                      
                                                            File
"/usr/lib/anaconda/kickstart.py", line 600, in doXConfig                       
               
                                             dict["startX"])                    
                                                              File
"/usr/lib/anaconda/installclass.py", line 402, in configureX                   
             
                                                   self.setVideoCard(id, driver,
videoRam)                                                                      
            File "/usr/lib/anaconda/installclass.py", line 385, in setVideoCard 
                                                                               
   id.xsetup.xserver.hwstate.set_videocard_driver(driver)                      
                                                         AttributeError:
'NoneType' object has no attribute 'xserver'
                                     install exited abnormally [1/1] 
                                                                     sending
termination signals...done
                       sending kill signals...done
                                                  disabling swap...
                                                                   unmounting
filesystems...                                        disabling /dev/loop0
                                                                /proc done
                                                                              
/dev/pts done
                /sys done
                                /tmp/ramfs done
                                                /selinux done
                                                             you may safely
reboot your system

                /mnt/runtime done


Expected results:
It is supposed to install.

Additional info:
=== ks.cfg ===
install
url --url ftp://ftp.fu-berlin.de/linux/fedora/core/6/i386/os
lang en_US
keyboard de-latin1-nodeadkeys
xconfig --driver "nv" --resolution 1024x768 --depth 24
network --device eth0 --bootproto static --ip (IP) --netmask (netmask) --gateway
(gateway) --nameserver (nameserver) --hostname test.(domain)
rootpw --iscrypted (encrypted root pw)
firewall --enabled --port=22:tcp
firstboot --disable
authconfig --enableshadow --enablemd5
selinux --disabled
timezone right/Europe/Berlin
bootloader --location=mbr --driveorder=xvda
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all
part swap --size=512 --asprimary
part / --fstype ext3 --size=1 --grow

%packages
@core
tzdata
yum
===
Comment 1 Jeremy Katz 2006-11-28 13:37:18 EST
Your kickstart contains an xconfig keyword, but you've said there's no graphics
hardware.

We probably shouldn't crash, though
Comment 2 Peter Backes 2006-11-29 21:53:20 EST
Yes, without the xconfig keyword, the installation actually succeeds. However
xconfig is there to configure mainly the X server of the system to be installed,
not only the graphical installer. It can  be configured independently by
keywords text and graphics, and if I add keyword text to the configuration, it
still crashes -- however it makes perfect sense to me to install a system with
xconfig'd X support that  does not yet have XEN graphics enabled. You can easily
add this support later. It shouldn't crash, but proceed in text mode and install
the system with X configured according to xconfig. 

BTW, shortly before it clears the screen and then fails, it outputs "No video
hardware found, assuming headless" So it knows perfectly that it doesn't have
video hardware (currently).
Comment 3 Chris Lumens 2007-01-26 14:53:56 EST
This is fixed post-FC6 by keeping the .xinf files around, I believe.  I remember
seeing this problem and fixing it.  I think the key to it was making sure the
/usr/share/hwdata/videoaliases/*.xinf files are kept in the minstg2.img.  Please
test F7test1 and verify that it works for you as well.

Note You need to log in before you can comment on or make changes to this bug.